> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Update Job Step Status

PATCH https://host.com/apis/jobs/v2/workspaces/{workspace}/jobs/{job}/steps/{name}/status
Content-Type: application/json

Update a job step status.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/jobs/update-job-step-status-apis-jobs-v-2-workspaces-workspace-jobs-job-steps-name-status-patch

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/jobs/v2/workspaces/{workspace}/jobs/{job}/steps/{name}/status:
    patch:
      operationId: >-
        update-job-step-status-apis-jobs-v-2-workspaces-workspace-jobs-job-steps-name-status-patch
      summary: Update Job Step Status
      description: Update a job step status.
      tags:
        - subpackage_jobs
      parameters:
        - name: job
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: workspace
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformJobStep'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Any type
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformJobStatusUpdateRequest'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    PlatformJobStatus:
      type: string
      enum:
        - created
        - pending
        - active
        - cancelled
        - cancelling
        - error
        - completed
        - paused
        - pausing
        - resuming
      description: >-
        Enumeration of possible job statuses.


        This enum represents the various states a job can be in during its
        lifecycle,

        from creation to a terminal state.
      title: PlatformJobStatus
    PlatformJobStatusUpdateRequest:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/PlatformJobStatus'
          description: The new status to set for the job.
        status_details:
          type: object
          additionalProperties:
            description: Any type
          description: Optional status details related to the status update.
        error_details:
          type: object
          additionalProperties:
            description: Any type
          description: Optional error details related to the status update.
      required:
        - status
      description: Request model for updating job status.
      title: PlatformJobStatusUpdateRequest
    PlatformJobStep:
      type: object
      properties:
        name:
          type: string
          default: ''
          description: Entity name within the workspace
        workspace:
          type: string
          description: Workspace identifier
        project:
          type: string
          description: The name of the project associated with this entity.
        attempt_id:
          type: string
          description: Parent attempt ID
        config:
          type: object
          additionalProperties:
            description: Any type
          description: Configuration for the step
        status:
          $ref: '#/components/schemas/PlatformJobStatus'
          default: created
          description: Step status
        status_details:
          type: object
          additionalProperties:
            description: Any type
          description: Status details
        error_details:
          type: object
          additionalProperties:
            description: Any type
          description: Error details if applicable
        id:
          type: string
        created_at:
          type: string
          format: date-time
        created_by:
          type:
            - string
            - 'null'
        updated_at:
          type: string
          format: date-time
        updated_by:
          type:
            - string
            - 'null'
        entity_id:
          type: string
          description: Alias for id for backwards compatibility.
        parent:
          type: string
          description: Parent entity ID for nested entities.
      required:
        - workspace
        - attempt_id
        - id
        - created_at
        - created_by
        - updated_at
        - updated_by
        - entity_id
        - parent
      description: >-
        A single step within an attempt.


        Parent-scoped: unique within (workspace, entity_type,
        parent=attempt_id).
      title: PlatformJobStep
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{
  "status": "active"
}
```

**Response**

```json
{
  "workspace": "analytics-team",
  "attempt_id": "attempt-20240612-001",
  "id": "step-123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2024-06-10T08:15:30Z",
  "created_by": "jane.doe@example.com",
  "updated_at": "2024-06-12T10:45:00Z",
  "updated_by": "john.smith@example.com",
  "entity_id": "step-123e4567-e89b-12d3-a456-426614174000",
  "parent": "attempt-20240612-001",
  "name": "DataIngestionStep",
  "project": "customer-churn-prediction",
  "config": {},
  "status": "active",
  "status_details": {},
  "error_details": {}
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status"

payload = { "status": "active" }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"status":"active"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status"

	payload := strings.NewReader("{\n  \"status\": \"active\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"status\": \"active\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status")
  .header("Content-Type", "application/json")
  .body("{\n  \"status\": \"active\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status', [
  'body' => '{
  "status": "active"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"status\": \"active\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["status": "active"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```